Releases: 
--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.2.10
New Features/Changes/Fixes: since 3.2.7

General Changes:
################
• Changed the US support number from +1-610-943-3226 to +1-610-933-2088
• Memory leaks (for encrypted connections) closed.
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements:

Fixes/Improvements:
###################
•　Rerverse DNS lookup (IP address -> name) disabled. Repeatedly led to problems when it did not match the forward resolution.
• Menu shortcuts (e.g. 'del') now also work directly after program start, even if the corresponding menu has not yet been opened.
•　Fixes and workarounds for the Neural Network Controller V3 (NNCv3 Dongle)


--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.2.7
New Features/Changes/Fixes: since 3.2.6

General Changes:
################
• Major Update
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements
• Support for new product: utnserver Pro
• Function extension: Auto-Disconnect is no longer a global function, but can be set separately for each USB port.

Fixes/Improvements:
###################
• Only administrators can create USB actions.
• Fixed: Users without administrative rights could not deactivate USB devices in some cases.
• Fixed: The port key is not taken over when assigning a new IP address to the existing DNS name (problem if the USB deviceserver or Dongleserver is used in 2 networks with the same DNS name).

--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.2.6
New Features/Changes/Fixes: since 3.2.4

General Changes:
################
• Major Update
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements


Fixes/Improvements:
###################
• Fixed: UTN Manager crashed if the USB port key was too long: Input field is now limited to 64 characters. However, the UTN Manager can now handle strings that are too long without crashing.
• Fixed: dongleserver Pro / dongleserver ProMAX: When encryption was enabled, a dongle could not be activated via the command line (utnm).

• Fixed: Sporadically, the graphical user interface of the UTN Manager crashed. The service and the activated USB devices remained unaffected.

• Fixed: If UTN servers were added via the DNS name, the DNS resolution was not executed during the "refresh".

• Fixed: When Windows is restarted or the UTN service is manually restarted, all but one of the entered servers disappeared sporadically.

New Devices:
############
• Support for Duerr VistaCam Camera (https://www.duerrdental.com/produkte/bildgebung/vistacam-intraorale-kamerasysteme/)



--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.2.4
New Features/Changes/Fixes: since 3.2.2

General Changes:
################
• Major Update
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements
• Installer contains 32- and 64-bit versions: 
• Installer contains 32- and 64-bit versions. Existing 32-bit installations will only be updated (settings will be kept). In a new installation, the corresponding system version will be installed. If you are using a 32-bit version in your 64-bit and want to update to the 64-bit version, deinstall the SEH UTN Manager and install it anew (settings will be lost). 

Fixes/Improvements:
###################
• Fixed: dongleserver Pro and ProMAX: USB-Encryption not functional
• Fixed: Auto-Connect was disabled after SEH UTN Manager AutoUpdate.
• Fixed: Inconsistent state in ControlCenter and UTN Manager after network interruption
• Fixed: Print-On-Demand with encryption did not work
• Fixed: Driver Remains after uninstalling SEH UTN Manager
• Missing Japanese translations added


--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.2.2
New Features/Changes/Fixes: since 3.1.21

General Changes:
################
• Major Update
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements
• Installer contains 32- and 64-bit versions: 
• Installer contains 32- and 64-bit versions. Existing 32-bit installations will only be updated (settings will be kept). In a new installation, the corresponding system version will be installed. If you are using a 32-bit version in your 64-bit and want to update to the 64-bit version, deinstall the SEH UTN Manager and install it anew (settings will be lost). 

Fixes/Improvements:
###################
• OpenSSL 1.1.1d used for encryption
• With UTN manager version 3.1.21 the driver is displayed as "not digitally signed" in Windows 7 (although the UTN Manager did work). 
Info: 
The display "Not digitally signed" is a display problem of Windows 7. See 2619914 
• Provider, File version, Copyright are now filled with reasonable values in the device manager.

New Devices:
############
• Support for the KNX bus coupler EIBWeiche USB from b+b Automations- und Steuerungstechnik GmbH ("https://www.bb-steuerungstechnik.de/ext_download/bb-automation/pdf/b+b_EIBWeiche_USB_Kompakt_REG.pdf")
• Support for ONVIAN CSR Bluetooth 4.0 (based on Qulacomm CSR8510 Chipset)
• Support for HighFiness Wavemeter ("Hantek DSO-2100 UF"")


--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.1.21
New Features/Changes/Fixes: since 3.1.18

General Changes:
################
• Support for Microsoft Windows Server 2016 (Windows HLK signed)
• Support for Microsoft Windows Server 2019 (Windows HLK signed)
• Installer contains 32- and 64-bit versions: 
• Installer contains 32- and 64-bit versions. Existing 32-bit installations will only be updated (settings will be kept). In a new installation, the corresponding system version will be installed. If you are using a 32-bit version in your 64-bit and want to update to the 64-bit version, deinstall the SEH UTN Manager and install it anew (settings will be lost). 
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements

Fixes/Improvements:
###################
• Improved name display for occupied USB ports:
The local hostname is sent to the UTN in addition to the username when activating. If the activation is done automatically by the UTN service, only the local hostname is used. Advantage: 
Simplified identification of the computer that has activated a USB device.
• Fixed: myUTN-54: Only 2 of the 4 USB ports were displayed in the UTN Manager.
• Fixed: Deinstallation was incomplete when using a custom program folder.
• Fixed: Dongles from MAXSystem were not recognized. ‚
• Fixed: The UTN Manager installer did not create FW rules and installation log files.
• Fixed: Print-ON-Demand did not work with HP LaserJet printers.

New Devices:
############
• Support for tetraguard Tokens 
(https://www.tetraguard.de/)
• Support for Ixxat USB-to-CAN V2 adapter (https://www.ixxat.com/products/products-industrial/pc-interfaces/pc-can-interfaces/details-pc-can-interfaces/usb-to-can-v2/versatile-can-adapter-for-usb)
• Support for Rautenhaus-Digital Multifunctional Central Unit RMX950USB (RMX multi-protocol model railway control)
(https://www.rautenhaus-digital.de/produkte/rmx-komponenten/rmx950usb-multifunktions-zentraleinheit.html)
• Support for AVerMedia LGP Lite-GL310 game capture camera 
(https://www.avermedia.com/de/product-detail/GL310#slide0)


--------------------------------------------------------------------------
Release Notes:
--------------------------------------------------------------------------
New Software Version:   3.1.18
New Features/Changes/Fixes: since 3.1.16

General Changes:
#################
• Support for Windows 10 Version 1809
• OpenSSL 1.1.1a
• Support for Microsoft Windows Server 2016 (Windows HLK signed)
Installer contains 32- and 64-bit versions: 
Installer contains 32- and 64-bit versions. Existing 32-bit installations will only be updated (settings will be kept). In a new installation, the corresponding system version will be installed. If you are using a 32-bit version in your 64-bit and want to update to the 64-bit version, deinstall the SEH UTN Manager and install it anew (settings will be lost). 
• Continuous improvement of the SEH UTN protocol
• Contains important internal fixes and improvements

Fixes/Improvements:
###################
• Fixed: UTN Manager no longer worked after Windows Update 1809
• Fixed: UTN Actions saved to the desktop without an icon
• Fixed: Windows Server 16 compatibility installation issues fixed (UTN driver is Windows Hardware Lab Kit (Windows HLK) signed )
• Fixed: Windows 10 compatibility installation issues fixed (UTN driver successfully passed Microsoft Attestation Signing )

--------------------------------------------------------------------------
New Software Version:   3.1.16
New Features/Changes/Fixes: since 3.1.13

General Changes:
#################
• Support for Microsoft Windows Server 2016 (Windows HLK signed)
• Installer contains 32- and 64-bit versions: 
When updating an older UTN Manager the 32-bit version will be installed and all settings will be retained. In case of a new installation (the old UTN Manager version must be un-installed beforehand), the 64-bit version of the UTN Manager will be installed on 64-bit systems. 
• Continuous improvement of the SEH UTN protocol
• Contains important fixes and improvements
• OpenSSL 1.0.2o


Fixes/Improvements:
###################
Fixed: Windows Server 16 compatibility installation issues fixed (UTN driver is Windows Hardware Lab Kit (Windows HLK) signed )
Fixed: Windows 10 compatibility installation issues fixed (UTN driver successfully passed Microsoft Attestation Signing )
Fixed: A bluescreen occured when activating the SleepDoc Porti 8 Polysomnograph ("https://www.fg-deutschland.de/web/p8_e.html")



--------------------------------------------------------------------------
New Software Version:   3.1.13
New Features/Changes/Fixes: since 3.1.12

General Changes:
#################
• Continuous improvement of the SEH UTN protocol
• Contains important fixes and improvements
• OpenSSL 1.0.2o

Fixes/Improvements:
###################
• utnm: Success message ("Command was executed successfully.") can now be suppressed with the option "-nw"
• Fixed: Portkey: Capital letters did not work
• Fixed: Windows 10 compatibility installation issues fixed (UTN driver successfully passed Microsoft Attestation Signing)

New Devices:
############
• Support for SAE IT-systems products like ("https://www.sae-it.com/en/products/telecontrol/fw-5-gate.html")
• Support for Intel® RealSense™ Depth Camera D400-Series like ("https://click.intel.com/intelr-realsensetm-depth-camera-d435.html")

--------------------------------------------------------------------------
New Software Version:   3.1.12
New Features/Changes/Fixes: since 3.0.34

General Changes:
#################
• Support for isochronous USB mode (e.g. audio and video) added
• Re-designed and improved Auto-Connect functionality, so that automatic device connections are even more easy and seamless
• Reworked USB virtualisation (change from a virtual UTN bus to a more Windows-like architecture using a virtual USB host controller and a virtual USB root hub) for:
	- improved device and application compatibility
	- increased performance
	- increased stability
• New Extended Validation (EV) Code Signing Certificate used (valid until 2021-03-30)
• Revised man page of the UTNM (CLI of the UTN Manager)
• Continuous improvement of the SEH UTN protocol
• Contains important fixes and improvements
• OpenSSL 1.0.2o

Fixes/Improvements:
###################
• Fixed: Windows 10 compatibility installation issues fixed (UTN driver successfully passed Microsoft Attestation Signing)
• Fixed: The installation log (during silent installation) was not created.
• Fixed: The USB Speed of the attached USB devices was not transferred correctly via the SEH UTN-protocol
• Fixed: BSOD occured when more than 34 devices were activated on one client
• Fixed: Activating/De-activating via UTNM (Command line version of the UTN Manager) was broken
• Support for multi-domain certificates (Support for SANs = Subject Alternative Names)
• Improved Error and return value processing
• Fixed an issue with a Samsung J3 smart phone that could sometimes result in an BSOD
• Fixed an issue that sometimes could lead to registry inconsistencies
• Fixed an issue with the Windows suspend and hibernation mode that resulted in a de-activated Auto-Connect parameter

New Devices:
############
• Support for Microchip Compiler PRO Dongle MPLAB XC8 Compiler PRO ("https://www.microchip.com/developmenttools/ProductDetails/PartNo/sw006021-dgl")
• Support for TASCAM TEAC USB Audio interfaces like US-16X08 ("http://tascam.com/product/us-16x08/")
• Support for Siemens Simatic SPS like Simatic S7-S300 (with WinSPS-S7 and PC adapter USB A2 6GK1571-0BA00-0AA0, see "https://mall.industry.siemens.com/mall/en/WW/Catalog/Product/6GK1571-0BA00-0AA0")


--------------------------------------------------------------------------
New Software Version:   3.1.9
New Features/Changes/Fixes: since 3.1.7

General Changes:
#################
• New Extended Validation (EV) Code Signing Certificate used (valid until 2021-03-30)
• Revised man page of the UTNM (CLI of the UTN Manager)
• Continuous improvement of the SEH UTN protocol
• Contains important fixes and improvements

Fixes/Improvements:
###################
• Support for multi-domain certificates (Support for SANs = Subject Alternative Names)
• Improved Error and return value processing
• Fixed an issue with a Samsung J3 smart phone that could sometimes result in an BSOD
• Fixed an issue that sometimes could lead to registry inconsistencies
• Fixed an issue with the Windows suspend and hibernation mode that resulted in a de-activated Auto-Connect parameter

New Devices:
############
• Support for TASCAM TEAC USB Audio interfaces like US-16X08 ("http://tascam.com/product/us-16x08/")


--------------------------------------------------------------------------
New Software Version:   3.1.7
New Features/Changes/Fixes: since 3.1.4

General Changes:
#################
• Support for isochronous USB mode (e.g. audio and video) added
• Re-designed and improved Auto-Connect functionality, so that automatic device connections are even more easy and seamless
• Reworked USB virtualisation (change from a virtual UTN bus to a more Windows-like architecture using a virtual USB host controller and a virtual USB root hub) for:
- improved device and application compatibility
- increased performance
- increased stability
• Contains important fixes and improvements.

Fixes/Improvements:
###################
• Fixed: Activating/De-activating via UTNM (Command line version of the UTN Manager) was broken
• Fixed: BSOD occured when more than 34 devices were activated on one client.

New Devices:
############
• Support for Siemens Simatic SPS like Simatic S7-S300 (with WinSPS-S7 and PC adapter USB A2 6GK1571-0BA00-0AA0)


---------------------------------------------------------------------------
New Software Version:   3.1.4
New Features/Changes/Fixes: since 3.0.34

General Changes:
#################
• Support for isochronous USB mode (e.g. audio and video) added
• Re-designed and improved Auto-Connect functionality, so that automatic device connections are even more easy and seamless
• Reworked USB virtualisation (change from a virtual UTN bus to a more Windows-like architecture using a virtual USB host controller and a virtual USB root hub) for:
- improved device and application compatibility
- increased performance
- increased stability
• Contains important fixes and improvements.

Fixes/Improvements:
###################
• Fixed: The installation log (during silent installation) was not created.
• Fixed: The USB Speed of the attached USB devices was not transferred correctly via the SEH UTN-protocoll.
• Fixed: BSOD occured when more than 34 devices were activated on one client.


---------------------------------------------------------------------------
New Software Version:   3.0.34
New Features/Changes/Fixes: since 3.0.33

General Changes:
#################
• Contains several bugfixes and enhancements.

Fixes/Improvements:
###################
• Increased stability of the SEH UTN driver.
• Fixed: Connection breaks down when lots of data is transferred (error in the UTN service)

New Devices
###########
• SenseVision adapters from Club3d (http://www.club-3d.com/


---------------------------------------------------------------------------
New Software Version:   3.0.33
New Features/Changes/Fixes: since 3.0.31

General Changes:
#################
• Contains several bugfixes and enhancements.

Fixes/Improvements:
###################
• Increased stability of the SEH UTN driver.
• Fixed: Intermittent disconnect of USB-ports
• Auto-Disconnect: Timeout can be set to a maximum of 9999 minutes.

---------------------------------------------------------------------------
New Software Version:   3.0.31
New Features/Changes/Fixes: since 3.0.27


General Changes:
#################
• Contains several bugfixes and enhancements.
• OpenSSL 1.0.2k

Fixes/Improvements:
###################
• Fixed: Prolific USB to Serial converter did not work with Windows 10
	*PL2303-TA now works with Windows 7/8/10
	*PL2303-XA now works only with Windows 7
• Fixed: UTNM (CLI) was not able to activate the Texas Instruments XDS100V2 programming adapter
• Fixed: UTNM (CLI) was not able to activate a UTEK USB Serial Cable Converter
• Fixed: SEH UTN Service did run as an interactive service

New Devices
###########
• Secutest Pro Test Instrument for testing electrical and medical devices and welding units from Gossen Metrawatt



---------------------------------------------------------------------------
New Software Version:   3.0.27
New Features/Changes/Fixes: since 3.0.24


General Changes:
#################
• Contains several bugfixes and enhancements.

Fixes/Improvements:
###################
• Fixed: Compatibility issues with a Cisco Adaptive Security Appliance (ASA). UTN Server can be placed behind an Cisco ASA firewall resulted in a crash of the UTN Manager.
• Fixed: Communication errors with iLok dongle

New Devices
###########
• ZTE MF190 - wireless cellular modem - 3G
• Vector CAN VN1600 interface family
• Siemens CP 5711

Release Notes:
---------------------------------------------------------------------------
New Software Version:   3.0.24
New Features/Changes/Fixes: since 3.0.21

General Changes:
#################
• Contains several bugfixes and enhancements.
• Improved re-connect behavior
• Added the identifier "SEH myUTN" to the location information of the Windows device manager
• UTN Manager CLI ("utnm") can search for UTN servers with the new command "find"
	"Set IP address" is only available for ZeroConf addresses ("169.254...")
• SEH UTN Manager is now signed with a SHA-256 certificate (valid until 06 April 2018). 
	- Microsoft Windows 7 accepts the certificate only if Hotfix  KB3033929  is installed. You will need Hotfix  KB2921916  if you want to avoid the „Untrusted Publishers“ dialog for good.
		A silent installation in Microsoft Windows 7 is not possible.
• Improved compatibility with USB devices.
• Set up Print-On-Demand might not work after updating to SEH UTN Manager 3.0.24. Solution can be found in SEH Knowledge Base article  50.2.0006  . 

Fixes/Improvements:
###################
• Fixed:  Communication errors at SPI Capture with a Beagle I2C/SPI Protocol Analyzer
• Fixed:  USB data could not be decrypted using TLS 1.2
• Fixed:  Compatibility issues with CRYPTO-BOX&reg; dongles from MARX Software Security GmbH
• Fixed: USB Device Auto-Connect did not work in Windows 10
• The communication port of the UTN Service (port 9300) can be adjusted (via the Windows registry):
		HKLM\SOFTWARE\Wow6432Node\SEH Computertechnik GmbH\SEH UTN Manager\options\
		DWORD:notificationSrvPort=9300
		DWORD:requestSrvPort=9301
• The Port for communication between several clients running the UTN Manager can be adjusted (via the Windows registry):
		HKLM\SOFTWARE\Wow6432Node\SEH Computertechnik GmbH\SEH UTN Service\
		DWORD:serviceSrvPort=9310	
• Improved Ubuntu 16.04 Sleep/Hibernate mode compatibility.

New Devices
###########
• Beagle USB 480 Protocol Analyzer
• Support for JTAG Debugger
• Support for STM32 ST-Link (In-circuit debugger/programmer) from STMicroelectronics
• Support for Dongles and SW from the company Dietrich's AG (3D-CAD/CAM for timber work)
• Support for Bite-Board Dongle




Release Notes:
---------------------------------------------------------------------------

New Software Version:   3.0.18

New Features/Changes/Fixes: since 3.0.11

1.) General Changes:
---------------------
• Contains several bugfixes and enhancements.
• SEH UTN Manager is now signed with a SHA-256 certificate (valid until 06 April 2018).
	- Microsoft Windows 7 accepts the certificate only if Hotfix KB3033929 (https://support.microsoft.com/en-us/kb/3033929). is installed. You will need Hotfix KB2921916 (https://support.microsoft.com/en-us/kb/2921916) if you want to avoid the „Untrusted Publishers“ dialog for good.
	- A silent installation in Microsoft Windows 7 is not possible.
• Improved compatibility with USB devices.
	- Set up Print-On-Demand might not work after updating to SEH UTN Manager 3.0.21. Solution can be found in SEH Knowledge Base article 50.2.0006 (http://www.seh-technology.com/fileadmin/user/KnowledgeBase/Knowledgebase_0006_en.pdf).


2.) Fixes/Improvements:
-----------------------
• Fixed: CryptoMate64 dongles sometimes caused BSOD if the client system entered energy saving mode (sleep/hibernate)
• Fixed: Simultaneous activation several SafeNet Sentinel Super Pro dongles sometimes caused BSOD
• Fixed: Reconnect of USB devices after network interruptions did not work reliably
• When updating the USB device software an automatic reconnect can be forced by setting a registry value:
	- if you set the registry value (DWORD)
HKLM/SOFTWARE/Wow6432Node/SEH Computertechnik GmbH/SEH UTN Service/reconnectAfterDeinstall 
to 1 (default = 0), the automatic reconnect is activated.
with the registry value (DWORD)
HKLM/SOFTWARE/Wow6432Node/SEH Computertechnik GmbH/SEH UTN Service/reconnectPause 
you can delay the reconnect until the driver installation is finished (default = 20 sec.). The is necessary as the driver installation takes some time and the USB device must not be activated before the installation is finishes. The actual delay is always longer as the configured value because the reactivation list of the SEH UTN Manager is only processed every 10 seconds.
	- Port keys can now be saved in encrypted form, if needed: activate the encryption by setting
HKLM/SOFTWARE/Wow6432Node/SEH Computertechnik GmbH/SEH UTN Manager/options/storePortKeysEnc 
to true (default = false).
Consider encryption carefully: The password created for encryption uses the MAC address of the client.
This may cause problems, e.g. when the client has two network connectors or the network connector is exchanged. In those cases it might be necessary to re-enter the port keys.
If you clone a virtual machine, the MAC address might change and the cloned SEH UTN Manager cannot decrypt the port keys.



Release Notes:
---------------------------------------------------------------------------

New Software Version:   3.0.18

New Features/Changes/Fixes: since 3.0.11

1) General Changes:
-------------------
- Contains several bugfixes and enhancements.


2) Fixes/Improvements:
----------------------
- If the SEH UTN Manager is started for the second time, the window of the SEH UTN Manager which is already running now appears instead of an error message.
- Fixed: The 'Printer Maintainance Tool' for Epson SL-DL700 does not work with SEH UTN Manager.
- Fixed: Handle leak caused by non-closed mutex handle. The number of open handles now is stable.
- Fixed: Faulty data transmission from Apple iPhones (bulk transfers with data bigger than 65k have been by processed incorrectly by the driver)
- SEH UTN Manager also used the VirtualStore of the Microsoft Registry. The manifest was changed so that the VirtualStore of the registry can no longer be written to.
Devices connected via myUTN functionality are now displayed in USB View and USBTreeView. In addition, the following IOCTLs directed to the host controller and hub are answered now:
IOCTL_USB_GET_NODE_INFORMATION
IOCTL_USB_GET_HUB_CAPABILITIES
IOCTL_USB_GET_HUB_CAPABILITIES_EX
IOCTL_USB_GET_NODE_CONNECTION_INFORMATION_EX
IOCTL_USB_GET_NODE_CONNECTION_DRIVERKEY_NAME
IOCTL_USB_GET_DESCRIPTOR_FROM_NODE_CONNECTION
IOCTL_USB_GET_ROOT_HUB_NAME
IOCTL_GET_HCD_DRIVERKEY_NAME
IOCTL_USB_USER_REQUEST (USBUSER_GET_ROOTHUB_SYMBOLIC_NAME)


3) New Devices:
---------------
- MCU boards by Silicon Labs now are supported


Release Notes:
---------------------------------------------------------------------------

New Software Version:   3.0.11

New Features/Changes/Fixes: since 3.0.8

1) General:
-----------
-

2) Changes: 
----------- 
- UTN Manager (Windows) is not executed with elevated privileges anymore 
  (no elevation prompt will pop up) 
- UTN Manager unattended installation: 
  + The installation path of a previous UTN Manager is now read correctly from      the registry and will be used as default installation location.
  + The command-line command /D did not work. It has been replaced by the 
    command /I, which sets the default installation directory when /S is used.

3) Fixes:
---------
- Fixes for the Fujitsu Scanners fi.7160 and fi.6140z
- For manually added UTN servers no SLP request will be sent anymore. This is 
  important for UTN servers which are accessed via the Internet.
- Revised Japanese strings
 
4) New Devices:
---------------
- Total Phase Aardvark I2C/SPI supported
- DaVinci Resolve dongle supported
- FTDI FT 232 is now supported
- electro suisse NIN 2015 digital dongle supported
- CryptoMate64 (USB Cryptographic USB Token) dongle supported
- Renishaw scanner


Release Notes:
---------------------------------------------------------------------------

New Software Version:   3.0.8

New Features/Changes/Fixes: since 2.x.x

1) General:
-----------
- new online help (version 3.0)
- Support for "compound USB devices" has been added. This is an extension of
  supported USB topologies and thus the range supported USB devices is extended.


2) Changes: 
----------- 
- Prolific FT 232 is now supported
- FTDI FT 232 is now supported
- AVM Fritz!Card USB v.2.x is now supported

3) Fixes:
---------
- utnm: The output of the device list ("getlist" command) is now sorted by port ID 
  and its formatting is revised.
- USB port keys can now be entered for myUTN-250s (fix).
- The device activation with Auto-Connect now occours without delay (fix).
- Auto-Connect now works if the port key control is activated (fix).
- Contains several minor bugfixes and enhancements.

 
Release Notes:
---------------------------------------------------------------------------

New Software Version:   2.0.7

New Features/Changes/Fixes: since 1.5.8

1) General:
-----------
- The UTN Manager 2.x.x is now available in two versions: MAC OS X and Windows
- Minimal installation (optional): Only the minimum required program features 
  without graphical user interface will be installed. Expert use only!

2) Changes: 
----------- 
- Overall stability improvements

3) Fixes:
---------
- UTN Manager used too much main memory → fixed
- Silent installation was always executed in minimal mode → fixed
- Actions returned error messages from other CLI applications → fixed
- UTN Manager in combination with a SafeNet Sentinel USB UltraPro dongle could cause a BSOD. → fixed


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.5.8

New Features/Changes/Fixes: since 1.5.6

1) General:
-----------
- The UTN Manager now internally uses OpenSSL 0.9.8.u
- The UTN Manager now always launches in the visible area of the screen
- The display of properties in the UTN Manager has been revised and optimized

2) Changes: 
----------- 
- In addition to the IP address the following names are displayed:
  * in UTN Manager: the host name configured in the UTN-Server
  * in UTN Manager: the DNS name of the UTN-Server
  * in UTN Manager: the user who has connected to (activated) a USB device
  * in myUTN Control Center: the user who has connected to (activated) a USB
    device

3) Fixes:
---------
- In the command-line version of the UTN Manager, the "getlist" command did not
  work when the port key control was activated. → fixed
- In the UTN command line tool "utnm.exe", the command "getlist" did not work.
  → fixed
- The automatic re-activation of USB devices (e.g. after a cold start of the
  UTN server) was partially inconsistent. → fixed
- The use of mass storage devices in Windows XP could cause the SEH UTN service
  to crash. → fixed
- The display of the send and receive rates was faulty. → fixed



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.5.6

New Features/Changes/Fixes: since 1.5.4

1) General:
-----------
- Display of the UTN Manager in Windows 7 (aero style) has been improved.
- Integration of UTN corrections for Windows 8 (optimization of bulk and
  interrupt transfers)
- Improvement of "Request Device". (The close button "X" and ESC are now linked
  to the refusal by default. Prior to that, it was possible to close the
  request window without saying yes/no).

2) Changes: 
----------- 
- When a device is requested, an error message is displayed if a TCP connection
  to the other UTN Manager cannot be established.
- If the UTN service crashed or was stopped and the UTN Manager is still
  running, a 10 second countdown that closes the warning about the stopped
  service now exists.
- If encryption is enabled, the buttons for activating and deactivating devices
  in the UTN Manager are unlocked for re-use after 20 seconds.

3) Fixes:
---------
- Photos were not copied correctly from the camera "PowerShot A 640" to the
  local computer.→ fixed
- The UTN port query on print servers (PS03a and PS1103) with UTN functionality
  did not work. → fixed
- In the UTN command line tool "utnm.exe", the command "getlist" did not work.
  → fixed
- If encryption was enabled, the feature "Activating the Device Automatically
  after the Start of a Selected Application" did not work anymore.→ fixed
- Time calculation in the Auto Disconnect behavior was faulty. → fixed
- The display of the send and receive rates was faulty. → fixed


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.5.4

New Features/Changes/Fixes: since 1.4.16

1) General:
-----------
- Request an Occupied Device:
  You can request a device that is being actively used by another user.
  The other user will be informed about your request via a popup window. The user 
  can then terminate the connection to the USB device. When the device is shared, 
  the connection between the USB device and your client will be established 
  automatically.
- Auto-Disconnect: 
  This functionality allows for the automatic deactivation of a device connection 
  after a time defined.

2) Changes: 
----------- 
- Several minor improvements of driver and service which increase the all over
  stability of the UTN service in critical situations.

3) Fixes:
---------
- Kobil mIDentity compact (light and SmartToken) and Aladdin Knowledge Systen 
  HASP Token:
  A driver update of these devices drivers failed to automatically re-connect 
  to/with a myUTN device. → fixed


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.4.16

New Features/Changes/Fixes: since 1.4.15

1) General:
-----------
- Code Signing: Code signing with new certificate (valid until 03/015).
  The updated certificate is installed into the certificate store of the
  target system ('trusted publisher')
- DNS name resolution: The dns name is now also displayed for a manually
  added server. Display of the IP address: In case of known dns names,
  the name is subsequently displayed in brackets. Display of the host
  name: Provided that the host name is known, it will be displayed and
  if not, the IP address is displayed. The IP address is updated via the
  dns name after a restart of the UTN Manager.
- Driver: Event logging mechanism (event viewer) implemented in the
  driver. New event log entries 'Missing heartbeat' and 'Heart beat
  error' added.  

2) Changes: 
----------- 
- Several improvements of driver and service which increase the
  stability of the UTN service in critical situations (e.g. when
  stopping the service while devices are activated, when shutting down
  Windows or when the connection to the myUTN is interrupted). → fixed

- Optimization "driver heartbeat": A missing heartbeat will be ignored
  by the driver, only if the second heartbeat is missing there will be a
  corresponding reaction. If the service is stopped, all devices will be
  directly deactivated in most cases.

3) Fixes:
---------
- SmartDongle from MicroWorks: Due to an error in the driver, the wrong
  buffer was sent to the USB device during a control transfer. Now the
  correct key is sent to the dongle and the security state is set
  correctly. → fixed



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.4.12

New Features/Changes/Fixes: since 1.4.5

1) General:
-----------
- Command line interface: CLI Tool "utnm.exe"" added. USB Devices can be
  activated and deactivated by using the command line interface, adding
  highly sophisticated scriptability to the UTN Manager.
- Group Plugin: If several devices are connected to a UTN server and are
  identical in product id and vendor id, the availability of the devices is
  checked. The first free device will be activated (and later on deactivated,
  optionally). 
- UTN actions: These are small programs used for the automatic activation and
  deactivation of device connections. UTN actions can also automate the
  starting and closing of an application in combination with a device
  connection.
  The process defined in the UTN action will run automatically
  after the execution of the file. Since the ’SEH UTN Service’ is active in
  the background, the user is not required to start the SEH UTN Manager
  interface.
- Action wizard: A wizard within the SEH UTN Manager to guide through the 
  process of creating a UTN Action.
- Installation mode: Service version pre-selected by a new installation

2) Changes: 
----------- 
- Internal change: The internal communication between the service and the UTN 
  Manager is now based on TCP.

3) Fixes:
---------
- Overall stability improvements
- New and improved USB Port key encryption. From now on a SHA1 Hash (20 Byte
  hash length) is used (with a random 4byte value for the Hash generation).
  (New software version on the UTN server required, see above)
- The IME warning is always shown if the UTN Manager is started in an Asian
  language (exception: Windows XP and Windows 2003). The warning can be
  deactivated. However, after a reinstallation or update the warning will be
  shown again.
- Encryption (RC4, AES) properly functioning again
- SEH UTN Service stability issues → fixed
- utnstartapp functionality problems → fixed
- Deactivating a USB device resulted in deactivating devices on other UTN 
  devices → fixed
- Service Version: Running in Administrator mode is displayed in the head line.
- Service Version: "Run-As-Administrator-flag" is set during installation time 
  for the current (installing) user
- Windows 7: Writing properties to the "VirtualStore" inside the registry will 
  be prevented.
- Internal: Heartbeat issues fixed; table and list handling improved
- Internal: table/list handling improved


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.3.24

New Features/Changes/Fixes: (since 1.3.20)


1) General:
-----------
- 

2) Changes:
-----------
- 

3) Fixes:
---------
- Overall stability improvements   
- Reconnect did not work when Port Key Control was enabled → fixed
- AutoConnect did only work for USB Port 1 → fixed

4) New Devices:
---------------
- 



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.3.20

New Features/Changes/Fixes: (since 1.3.7)


1) General:
-----------
- 

2) Changes:
-----------
- Service variant is now fully compatible with all 'Automatic Connection' 
  features (Print On Demand, Auto-Connect, Automatic Device Connection,
  Automatic Application Start)
- 'Automatic Connection' improvements:
	* Automatic Application Start
	* utnstartapp.exe helper program
- Add UTN Server manually
- Support for USB port configuration (USB port naming)
- Automatic Update with Proxy Support

3) Fixes:
---------
- Overall stability improvements
- On grayed out myUTNs 'Set IP address...' was available → fixed
- USB devices could be activated by several UTN Managers at the same time 
  (with faulty operations) → fixed
- Changes in the clients system time resulted in sporadic disconnects of some
  dongles (Aladdin, Kobil, TDI) → fixed

4) New Devices:
---------------
- iPhone 3/4 supported
- Plustek Smart Office PS406 supported
- ACR 38 Smartcard Reader supported
- Primera LX900 supported



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.3.7

New Features/Changes/Fixes: (since 1.3.3)


1) General:
-----------
- 

2) Changes:
-----------
- Usage of several EPSON Scanner (e.g. "ES-D400" and "GT-S80") simultaneously in 
  combination with EPSON Eventmanager is now supported.

3) Fixes:
---------
- Values in the selection lists (global and user list) were incorrect.
- Autoconnect functionality did not work in combination with the USB port key
  feature (Service variant, myUTN-80).
- Adding an UTN server manually with incorrect or missing IP settings 
  lead to an unstable UTN Manager.
- Device Assignment errors were incorrectly displayed.
- Overall stability improvements


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.3.3

New Features/Changes/Fixes: (since 1.2.6)


1) General:
-----------
- Copyright changed to 2010
- Logging Function added(Support Option)

2) Changes:
-----------
- At application start a default language is derived from
  HKLM/Software/SEH UTN Manager/Installer
- New devices are supported:
  Prolific USB-to-Serial Adapter driver adjustments 

3) Fixes:
---------
- Auto-Connect mechanism has been revised.
- Re-Connect mechanism has been revised and optimised for 
  myUTN Software ≥ 14.0.15.
- Software Update for the SEH UTN Service variant has been revised.


Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.2.6

New Features/Changes/Fixes: (since 1.1.17)


1) General:
-----------
- The SEH UTN Manager is now available in two versions:
  * Single-User Version (SEH UTN Manager)
  * Multi-User Version (SEH UTN Manager + SEH UTN Service)
- 64bit Windows OS supported
- UTN Manager is now a code-signed application.

2) Changes:
-----------
- USB Devices can be deactivated via the myUTN Control Center. myUTN Software 14.0.11 is needed for this feature.
- USB Devices can be deactivated via the context menu of the myUTN Windows tray icon.
- Device access control implemented
- Installation for the current user or for all users of the system is now supported by the installer.
- New devices are supported:
  * Sagem Fingerprint Scanner
  * Rohde & Schwarz NRP-Z1
  * Panasonic TDA-30 telephone switchboard

3) Fixes:
---------
- UTN Manager install/uninstalling procedure has been improved.
- Re-Connect mechanism has been improved.



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.1.17

New Features/Changes/Fixes: (since 1.1.13)

1) General:
-----------
- Copyright changed to 2009
- New Feature: SSL encrypted communication to myUTN products   

2) Changes:
-----------
- Online Help updated
- Support for several USB devices improved
- UTN Manager install/uninstalling procedure has been improved

3) Fixes:
---------
- Reactivation after the PC system had entered sleepmode could
 cause the UTN manager to stall.



Release Notes:
---------------------------------------------------------------------------

New Software Version:   1.1.13

New Features/Changes/Fixes: (since 1.1.6)


1) General:
-----------
-  

2) Changes:
-----------
- In case of a detected audio or video device, the USB Manager will not allow
  the particular device to be enabled. This is because isochronous transfer is 
  not supported, yet.
- Support for VMWare ESX Server 
- Support for several USB devices improved
- UTN Manager install/uninstalling procedure has been improved

3) Fixes:
---------
- Activating more than one USB device at a time could cause the 
  USA manager to stall.
  

  
